server:
  port: ${PORT}
  servlet:
    context-path: /e-shop

spring:
  application:
    name: SHOP-SERVICE
  mvc:
    dispatch-options-request: true
    application:
      name: shop-service
      environment: ${ENVIRONMENT:DEV}
  datasource:
    url: ${POSTGRESQL_DATABASE_URL}
    username: ${POSTGRESQL_USERNAME}
    password: ${POSTGRESQL_PASSWORD}
    hikari:
      max-lifetime: ${DB_MAX_LIFETIME}
      idle-timeout: 1000000
      connection-timeout: ${DB_CONNECTION_TIMEOUT}
    jpa:
      show-sql: true
      properties:
        hibernate:
          dialect: org.hibernate.dialect.PostgreSQLDialect
          connection:
            pool_size: 30

    hibernate:
      ddl-auto: validate
eureka:
  client:
    serviceUrl:
      defaultZone: ${EUREKA_URI}

imagekit:
  privateKey: private_8z29JewninndEuIvGP9ggsRnZXU=
  publicKey: public_QFThLW1EwqQDV5A4GsURnw7zhbU=
  urlEndpoint: https://ik.imagekit.io/ecommerk13haui
